<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>SMART-Sales</title>
    <script src="/assets/config.js"></script>
    <base href="/" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="icon" type="image/x-icon" href="favicon.ico" />
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <script>
      (function() {

        const html = document.getElementsByTagName('html')[0];
        const path = 'smart-sales.theme';
        let currentTheme = null;

        window.setTheme = function(theme) {
          if (html.classList.length > 0) {
            const item = html.classList[0];
            html.classList.remove(item);
          }
          currentTheme = theme;
          html.classList.add(theme);
          window.localStorage.setItem(path, theme);
        };

        window.getTheme = function() {
          return currentTheme;
        };

        window.setTheme(window.localStorage.getItem(path) || 'light');
      })();
    </script>
  </head>
  <body class="mat-typography">
    <smartsales-root></smartsales-root>
  </body>
</html>
